﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace TestWPF
{
	public class MainViewModel : ViewModelBase
	{
		private DelegateCommand showCommand;
		private DelegateCommand hideCommand;
		private bool isGridVisible;
		private bool isDropDownOpen;

		public MainViewModel()
		{
			this.showCommand = new DelegateCommand(new Action<object>(ExecuteShow));
			this.hideCommand = new DelegateCommand(new Action<object>(ExecuteHide));
		}

		public bool IsDropDownOpen
		{
			get
			{
				return this.isDropDownOpen;
			}
			set
			{

				if (this.isDropDownOpen != value)
				{
					this.isDropDownOpen = value;
					this.OnPropertyChanged("IsDropDownOpen");
				}
			}
		}
		public bool IsGridVisible
		{
			get
			{
				return this.isGridVisible;
			}
			set
			{
				if (this.isGridVisible != value)
				{
					this.isGridVisible = value;
					this.OnPropertyChanged("IsGridVisible");
				}
			}
		}
		public DelegateCommand ShowCommand
		{
			get
			{
				return this.showCommand;
			}
		}
		public DelegateCommand HideCommand
		{
			get
			{
				return this.hideCommand;
			}
		}

		private void ExecuteShow(object obj)
		{
			this.IsGridVisible = true;
			this.IsDropDownOpen = false;
		}

		private void ExecuteHide(object obj)
		{
			this.IsGridVisible = false;
		}
	}
}
